Back to index

salome-geom  6.5.0
Functions
Sketcher
Creating geometrical objects
Collaboration diagram for Sketcher:

Functions

def geompyDC.geompyDC.MakeSketcher
 Create a sketcher (wire or face), following the textual description, passed through theCommand argument.
def geompyDC.geompyDC.MakeSketcherOnPlane
 Create a sketcher (wire or face), following the textual description, passed through theCommand argument.
def geompyDC.geompyDC.Make3DSketcher
 Create a sketcher wire, following the numerical description, passed through theCoordinates argument.

Function Documentation

def geompyDC.geompyDC.Make3DSketcher (   self,
  theCoordinates 
)

Create a sketcher wire, following the numerical description, passed through theCoordinates argument.


Parameters:
theCoordinatesdouble values, defining points to create a wire, passing from it.
Returns:
New GEOM.GEOM_Object, containing the created wire.

Example

Create a sketcher wire, following the numerical description,
passed through theCoordinates argument.

Parameters:
    theCoordinates double values, defining points to create a wire,
       passing from it.

Returns:
    New GEOM_Object, containing the created wire.

Definition at line 1736 of file geompyDC.py.

01736 
01737         def Make3DSketcher(self, theCoordinates):
01738             """
01739             Create a sketcher wire, following the numerical description,
01740             passed through theCoordinates argument.
01741 
01742             Parameters:
01743                 theCoordinates double values, defining points to create a wire,
01744                                passing from it.
01745 
01746             Returns:
01747                 New GEOM_Object, containing the created wire.
01748             """
01749             theCoordinates,Parameters = ParseParameters(theCoordinates)
01750             anObj = self.CurvesOp.Make3DSketcher(theCoordinates)
01751             RaiseIfFailed("Make3DSketcher", self.CurvesOp)
01752             anObj.SetParameters(Parameters)
01753             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeSketcher (   self,
  theCommand,
  theWorkingPlane = [0 
)

Create a sketcher (wire or face), following the textual description, passed through theCommand argument.


Edges of the resulting wire or face will be arcs of circles and/or linear segments.
Format of the description string have to be the following:

"Sketcher[:F x1 y1]:CMD[:CMD[:CMD...]]"

Where:

  • x1, y1 are coordinates of the first sketcher point (zero by default),
  • CMD is one of
    • "R angle" : Set the direction by angle
    • "D dx dy" : Set the direction by DX & DY

    • "TT x y" : Create segment by point at X & Y
    • "T dx dy" : Create segment by point with DX & DY
    • "L length" : Create segment by direction & Length
    • "IX x" : Create segment by direction & Intersect. X
    • "IY y" : Create segment by direction & Intersect. Y

    • "C radius length" : Create arc by direction, radius and length(in degree)
    • "AA x y": Create arc by point at X & Y
    • "A dx dy" : Create arc by point with DX & DY
    • "A dx dy" : Create arc by point with DX & DY
    • "UU x y radius flag1": Create arc by point at X & Y with given radiUs
    • "U dx dy radius flag1" : Create arc by point with DX & DY with given radiUs
    • "EE x y xc yc flag1 flag2": Create arc by point at X & Y with given cEnter coordinates
    • "E dx dy dxc dyc radius flag1 flag2" : Create arc by point with DX & DY with given cEnter coordinates

    • "WW" : Close Wire (to finish)
    • "WF" : Close Wire and build face (to finish)

  • Flag1 (= reverse) is 0 or 2 ...
    • if 0 the drawn arc is the one of lower angle (< Pi)
    • if 2 the drawn arc ius the one of greater angle (> Pi)

  • Flag2 (= control tolerance) is 0 or 1 ...
    • if 0 the specified end point can be at a distance of the arc greater than the tolerance (10^-7)
    • if 1 the wire is built only if the end point is on the arc with a tolerance of 10^-7 on the distance else the creation fails
Parameters:
theCommandString, defining the sketcher in local coordinates of the working plane.
theWorkingPlaneNine double values, defining origin, OZ and OX directions of the working plane.
Returns:
New GEOM.GEOM_Object, containing the created wire.

Example

Create a sketcher (wire or face), following the textual description, passed
through theCommand argument.
Edges of the resulting wire or face will be arcs of circles and/or linear segments.
Format of the description string have to be the following:
    "Sketcher[:F x1 y1]:CMD[:CMD[:CMD...]]"
Where:
- x1, y1 are coordinates of the first sketcher point (zero by default),
- CMD is one of
   - "R angle" : Set the direction by angle
   - "D dx dy" : Set the direction by DX & DY
   
   - "TT x y" : Create segment by point at X & Y
   - "T dx dy" : Create segment by point with DX & DY
   - "L length" : Create segment by direction & Length
   - "IX x" : Create segment by direction & Intersect. X
   - "IY y" : Create segment by direction & Intersect. Y

   - "C radius length" : Create arc by direction, radius and length(in degree)
   - "AA x y": Create arc by point at X & Y
   - "A dx dy" : Create arc by point with DX & DY
   - "A dx dy" : Create arc by point with DX & DY
   - "UU x y radius flag1": Create arc by point at X & Y with given radiUs
   - "U dx dy radius flag1" : Create arc by point with DX & DY with given radiUs
   - "EE x y xc yc flag1 flag2": Create arc by point at X & Y with given cEnter coordinates
   - "E dx dy dxc dyc radius flag1 flag2" : Create arc by point with DX & DY with given cEnter coordinates

   - "WW" : Close Wire (to finish)
   - "WF" : Close Wire and build face (to finish)

- Flag1 (= reverse) is 0 or 2 ...
   - if 0 the drawn arc is the one of lower angle (< Pi)
   - if 2 the drawn arc ius the one of greater angle (> Pi)
        
- Flag2 (= control tolerance) is 0 or 1 ...
   - if 0 the specified end point can be at a distance of the arc greater than the tolerance (10^-7)
   - if 1 the wire is built only if the end point is on the arc
     with a tolerance of 10^-7 on the distance else the creation fails

Parameters:
    theCommand String, defining the sketcher in local
   coordinates of the working plane.
    theWorkingPlane Nine double values, defining origin,
        OZ and OX directions of the working plane.

Returns:
    New GEOM.GEOM_Object, containing the created wire.

Definition at line 1646 of file geompyDC.py.

01646 
01647         def MakeSketcher(self, theCommand, theWorkingPlane = [0,0,0, 0,0,1, 1,0,0]):
01648             """
01649             Create a sketcher (wire or face), following the textual description, passed
01650             through theCommand argument.
01651             Edges of the resulting wire or face will be arcs of circles and/or linear segments.
01652             Format of the description string have to be the following:
01653                 "Sketcher[:F x1 y1]:CMD[:CMD[:CMD...]]"
01654             Where:
01655             - x1, y1 are coordinates of the first sketcher point (zero by default),
01656             - CMD is one of
01657                - "R angle" : Set the direction by angle
01658                - "D dx dy" : Set the direction by DX & DY
01659                
01660                - "TT x y" : Create segment by point at X & Y
01661                - "T dx dy" : Create segment by point with DX & DY
01662                - "L length" : Create segment by direction & Length
01663                - "IX x" : Create segment by direction & Intersect. X
01664                - "IY y" : Create segment by direction & Intersect. Y
01665 
01666                - "C radius length" : Create arc by direction, radius and length(in degree)
01667                - "AA x y": Create arc by point at X & Y
01668                - "A dx dy" : Create arc by point with DX & DY
01669                - "A dx dy" : Create arc by point with DX & DY
01670                - "UU x y radius flag1": Create arc by point at X & Y with given radiUs
01671                - "U dx dy radius flag1" : Create arc by point with DX & DY with given radiUs
01672                - "EE x y xc yc flag1 flag2": Create arc by point at X & Y with given cEnter coordinates
01673                - "E dx dy dxc dyc radius flag1 flag2" : Create arc by point with DX & DY with given cEnter coordinates
01674 
01675                - "WW" : Close Wire (to finish)
01676                - "WF" : Close Wire and build face (to finish)
01677             
01678             - Flag1 (= reverse) is 0 or 2 ...
01679                - if 0 the drawn arc is the one of lower angle (< Pi)
01680                - if 2 the drawn arc ius the one of greater angle (> Pi)
01681         
01682             - Flag2 (= control tolerance) is 0 or 1 ...
01683                - if 0 the specified end point can be at a distance of the arc greater than the tolerance (10^-7)
01684                - if 1 the wire is built only if the end point is on the arc
01685                  with a tolerance of 10^-7 on the distance else the creation fails
01686 
01687             Parameters:
01688                 theCommand String, defining the sketcher in local
01689                            coordinates of the working plane.
01690                 theWorkingPlane Nine double values, defining origin,
01691                                 OZ and OX directions of the working plane.
01692 
01693             Returns:
01694                 New GEOM.GEOM_Object, containing the created wire.
01695             """
01696             # Example: see GEOM_TestAll.py
01697             theCommand,Parameters = ParseSketcherCommand(theCommand)
01698             anObj = self.CurvesOp.MakeSketcher(theCommand, theWorkingPlane)
01699             RaiseIfFailed("MakeSketcher", self.CurvesOp)
01700             anObj.SetParameters(Parameters)
01701             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeSketcherOnPlane (   self,
  theCommand,
  theWorkingPlane 
)

Create a sketcher (wire or face), following the textual description, passed through theCommand argument.


For format of the description string see MakeSketcher() method.

Parameters:
theCommandString, defining the sketcher in local coordinates of the working plane.
theWorkingPlanePlanar Face or LCS(Marker) of the working plane.
Returns:
New GEOM.GEOM_Object, containing the created wire.

Example

Create a sketcher (wire or face), following the textual description,
passed through theCommand argument.
For format of the description string see geompy.MakeSketcher() method.

Parameters:
    theCommand String, defining the sketcher in local
   coordinates of the working plane.
    theWorkingPlane Planar Face or LCS(Marker) of the working plane.

Returns:
    New GEOM.GEOM_Object, containing the created wire.

Definition at line 1711 of file geompyDC.py.

01711 
01712         def MakeSketcherOnPlane(self, theCommand, theWorkingPlane):
01713             """
01714             Create a sketcher (wire or face), following the textual description,
01715             passed through theCommand argument.
01716             For format of the description string see geompy.MakeSketcher() method.
01717 
01718             Parameters:
01719                 theCommand String, defining the sketcher in local
01720                            coordinates of the working plane.
01721                 theWorkingPlane Planar Face or LCS(Marker) of the working plane.
01722 
01723             Returns:
01724                 New GEOM.GEOM_Object, containing the created wire.
01725             """
01726             anObj = self.CurvesOp.MakeSketcherOnPlane(theCommand, theWorkingPlane)
01727             RaiseIfFailed("MakeSketcherOnPlane", self.CurvesOp)
01728             return anObj

Here is the call graph for this function: